Package org.apache.sling.scripting.sightly

## Class SightlyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sling.scripting.sightly.SightlyException

All Implemented Interfaces:
  `Serializable`

    public class SightlyException
    extends RuntimeException

Exceptions caused by the HTL engine.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SightlyException()`
`SightlyException​(String message)`
`SightlyException​(String message, Throwable cause)`
`SightlyException​(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SightlyException

    public SightlyException()

#### SightlyException

    public SightlyException​(String message)

#### SightlyException

    public SightlyException​(String message,
                            Throwable cause)

#### SightlyException

    public SightlyException​(Throwable cause)